Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007570Dwarf FortressDwarf Mode -- Invasionspublic2014-07-22 18:182014-08-06 13:55
ReporterTelkoth 
Assigned ToToady One 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformPCOSWindows 7OS VersionService Pack 1
Product Version0.40.04 
Target VersionFixed in Version0.40.07 
Summary0007570: Undead invaders do not path to fortress
DescriptionAll undead invasions I have received have resulted in the invaders sitting on the border they invade from, neither the necromancers or undead soldiers will path to my fortress. Necromancers will flee from the map if approached, the undead however will just kill whoever approaches them, and then mill around in the area they kill the dwarf. errorlog shows "camp order missing parent -- army will camp forever". On one occasion the necromancer did path, but not to the fortress, but instead a corpse on the surface.
Steps To ReproduceCannot really reproduce reliably given it relies on an undead invasion. But it has occurred on my last 4 games, on 4 different maps created in regular mapgen with the following settings: Size Small, History Short, Civs Low to High, Sites Very High, Beasts Very High, Savagery Very High, Minerals Frequent.
TagsNo tags attached.
Attached Files

- Relationships
related to 0007161confirmedDwarfu Morale is screwy across all modes 
has duplicate 0007840resolvedFootkerchief Undead creatures are sticked to the borders of the map 
has duplicate 0007833resolvedFootkerchief Invaders idling on map edge 
related to 0008099confirmedFootkerchief Undead not pathing to fortress. 

-  Notes
(0027261)
Telkoth (reporter)
2014-07-22 18:22

Forgot to mention, this occurs on 5x5 Embark, unsure of other sizes.
(0027280)
HigginsObvious (reporter)
2014-07-22 21:08

I have encountered this same issue with undead sieges. I have had necromancers try and sneak into my fortress, but when discovered they run in fear if not trapped. Any undead on the map will not path and will wander around randomly until dwarves approach very close. Can replicate moderately reliably by embarking near multiple towers and rapidly increasing value until a siege arrives.
(0027933)
barebonebacon (reporter)
2014-07-30 02:41

happened on 40.05 from a twitch streamer he also had a 5x5 embark, 1 undead zombie sat on the edge of the screen after a year it left and then again with an actual siege of an undead army of maybe 20.
(0028302)
Footkerchief (manager)
2014-08-04 12:39

MightyEvilPunk posted a save at 0007840: http://dffd.wimbli.com/file.php?id=9281 [^]
(0028305)
4maskwolf (reporter)
2014-08-04 13:16
edited on: 2014-08-04 13:17

This is also true for undead in evil biomes: they will not move upon entering the map. Undead creatures that start on the map are the only ones who move.

Edit: this note references .40.03, I don't know about later versions.


- Issue History
Date Modified Username Field Change
2014-07-22 18:18 Telkoth New Issue
2014-07-22 18:22 Telkoth Note Added: 0027261
2014-07-22 21:08 HigginsObvious Note Added: 0027280
2014-07-30 02:41 barebonebacon Note Added: 0027933
2014-08-04 12:38 Footkerchief Relationship added has duplicate 0007840
2014-08-04 12:39 Footkerchief Note Added: 0028302
2014-08-04 13:16 4maskwolf Note Added: 0028305
2014-08-04 13:17 4maskwolf Note Edited: 0028305 View Revisions
2014-08-04 13:17 4maskwolf Note Edited: 0028305 View Revisions
2014-08-04 20:49 Dwarfu Relationship added related to 0007161
2014-08-04 20:49 Dwarfu Assigned To => Dwarfu
2014-08-04 20:49 Dwarfu Status new => acknowledged
2014-08-04 22:04 samanato Issue Monitored: samanato
2014-08-04 22:30 Footkerchief Relationship added has duplicate 0007833
2014-08-05 12:12 Dwarfu Status acknowledged => confirmed
2014-08-06 11:27 Toady One Status confirmed => resolved
2014-08-06 11:27 Toady One Fixed in Version => Next Version
2014-08-06 11:27 Toady One Resolution open => fixed
2014-08-06 11:27 Toady One Assigned To Dwarfu => Toady One
2014-08-06 13:55 samanato Issue End Monitor: samanato
2014-08-21 06:22 Footkerchief Relationship added related to 0008099


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker